Results 1 to 8 of 8

Thread: Google gadgets

  1. #1
    Join Date
    Jul 2008
    Location
    Toronto, Canada
    Posts
    137

    Default Google gadgets

    Hi There,

    I installed qoogle's Qt gadgets and when i try to start it i get a message saying the program can't start because of a missing module: "js-javascript-runtime".
    Where can I get this from?

    Thank you!
    Ron

  2. #2
    Join Date
    Jun 2008
    Location
    relative
    Posts
    1,172

    Default Re: Google gadgets

    Quote Originally Posted by reggler View Post
    Hi There,

    I installed qoogle's Qt gadgets and when i try to start it i get a message saying the program can't start because of a missing module: "js-javascript-runtime".
    Where can I get this from?

    Thank you!
    Ron
    I'm installed Google-gadgets from repository Index of /repositories/home:/hfiguiere/openSUSE_11.0, and it's working without any problem. (Install google-gadgets and google-gadgets-qt here. google-gadgets-gtk if you have Gnome desktop).
    Take a look to HowToBuild - google-gadgets-for-linux - Google Code - How to build this project.
    Good luck.
    http://mydailyhash.wordpress.com/
    http://yami.googlecode.com/

  3. #3

    Default Re: Google gadgets

    Please install "google-gadgets-xul"

    You may have the repository: Index of /repositories/home:/suzhe/openSUSE_11.0


    ref:http://vincent-sm-huang.blogspot.com...e-gadgets.html

  4. #4
    Join Date
    Jul 2008
    Location
    Toronto, Canada
    Posts
    137

    Default Re: Google gadgets

    Quote Originally Posted by kayeaco View Post
    Please install "google-gadgets-xul"

    You may have the repository: Index of /repositories/home:/suzhe/openSUSE_11.0


    ref:Vincent's Blog: 【openSUSE】安裝google-gadgets
    Okay,

    What I first wanna try before installing anything, is getting rid of that stuff I got on my disk now. I uninstalled all the google gadget stuff with yast but when I type ggl-qt in the console i get this:
    Code:
    reg@desktopreg:~> ggl-qt
    Not a regular file: /
    Failed to load module qtwebkit-browser-element
    Failed to load module gst-video-element
    org.freedesktop.DBus.Error.ServiceUnknown: The name org.freedesktop.NetworkManager was not provided by any .service files
    No slot registered to handle this reply.
    No slot registered to handle this reply.
    No slot registered to handle this reply.
    org.freedesktop.DBus.Error.UnknownMethod: Method "GetProperty" with signature "s" on interface "org.freedesktop.Hal.Manager" doesn't exist
    
    Failed to load module smjs-script-runtime
    No slot registered to handle this reply.
    reg@desktopreg:~>
    and the error message telling me that i don't have the module js-scrupt-runtime appears. How can i get rid of it completely.
    Code:
    desktopreg:/home/reg # rpm -e google-desktop-linux
    error: package google-desktop-linux is not installed
    Didn't help either

  5. #5
    Join Date
    Jun 2008
    Location
    relative
    Posts
    1,172

    Default Re: Google gadgets

    Quote Originally Posted by kayeaco View Post
    Please install "google-gadgets-xul"

    You may have the repository: Index of /repositories/home:/suzhe/openSUSE_11.0


    ref:Vincent's Blog: 【openSUSE】‰�google-gadgets
    Are you installed google-gadgets from this repository? Is it working for you?
    http://mydailyhash.wordpress.com/
    http://yami.googlecode.com/

  6. #6

    Default Re: Google gadgets

    Quote Originally Posted by kayeaco View Post
    Please install "google-gadgets-xul"

    You may have the repository: Index of /repositories/home:/suzhe/openSUSE_11.0


    ref:Vincent's Blog: 【openSUSE】安裝google-gadgets
    Which is the advantages of the normal Google Gadgets and this XUL version?

  7. #7

    Default Re: Google gadgets

    Has anyone managed to compile GG from source, on OS 12?

    I'm referring to the source code from here:

    google-gadgets-for-linux - An open-source implementation of Google Gadgets platform for Linux. - Google Project Hosting

    When making, having loaded all dependencies I get an error in ../third_party/unzip/unzip.c with the libunzip library.

  8. #8
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    19,671
    Blog Entries
    14

    Default Re: Google gadgets

    Please open a new thread. Reusing an old one will attract less attention.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    https://en.opensuse.org/openSUSE:Board#Members
    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •